Index: testsuites/samples/ticker/init.c
===================================================================
--- testsuites/samples/ticker/init.c	(revision d6afec1859b2a589da52a0d26111affa0b6a1662)
+++ testsuites/samples/ticker/init.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,45 +1,30 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2012.
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is called from init_exec and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the test, it should also be set to a known
+ *  value by this function.
+ *
+ *  Input parameters:  NONE
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#define CONFIGURE_INIT
 #include "system.h"
-
-const char rtems_test_name[] = "CLOCK TICK";
-
-/*
- *  Keep the names and IDs in global variables so another task can use them.
- */
-
-rtems_id   Task_id[ 4 ];         /* array of task ids */
-rtems_name Task_name[ 4 ];       /* array of task names */
+#undef EXTERN
+#define EXTERN
+#include "conftbl.h"
+#include "gvar.h"
 
 rtems_task Init(
@@ -50,16 +35,8 @@
   rtems_time_of_day time;
 
-  TEST_BEGIN();
+  puts( "\n\n*** CLOCK TICK TEST ***" );
 
-  time.year   = 1988;
-  time.month  = 12;
-  time.day    = 31;
-  time.hour   = 9;
-  time.minute = 0;
-  time.second = 0;
-  time.ticks  = 0;
-
+  build_time( &time, 12, 31, 1988, 9, 0, 0, 0 );
   status = rtems_clock_set( &time );
-  directive_failed( status, "clock set" );
 
   Task_name[ 1 ] = rtems_build_name( 'T', 'A', '1', ' ' );
@@ -67,31 +44,15 @@
   Task_name[ 3 ] = rtems_build_name( 'T', 'A', '3', ' ' );
 
-  status = rtems_task_create(
-    Task_name[ 1 ], 1, RTEMS_MINIMUM_STACK_SIZE * 2, RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 1 ]
-  );
-  directive_failed( status, "create 1" ); 
-
-  status = rtems_task_create(
-    Task_name[ 2 ], 1, RTEMS_MINIMUM_STACK_SIZE * 2, RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 2 ]
-  );
-  directive_failed( status, "create 2" ); 
-
-  status = rtems_task_create(
-    Task_name[ 3 ], 1, RTEMS_MINIMUM_STACK_SIZE * 2, RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 3 ]
-  );
-  directive_failed( status, "create 3" ); 
+  status = rtems_task_create( Task_name[ 1 ], 1, 1024, RTEMS_DEFAULT_MODES,
+                        RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 1 ] );
+  status = rtems_task_create( Task_name[ 2 ], 1, 1024, RTEMS_DEFAULT_MODES,
+                        RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 2 ] );
+  status = rtems_task_create( Task_name[ 3 ], 1, 1024, RTEMS_DEFAULT_MODES,
+                        RTEMS_DEFAULT_ATTRIBUTES, &Task_id[ 3 ] );
 
   status = rtems_task_start( Task_id[ 1 ], Test_task, 1 );
-  directive_failed( status, "start 1" ); 
+  status = rtems_task_start( Task_id[ 2 ], Test_task, 2 );
+  status = rtems_task_start( Task_id[ 3 ], Test_task, 3 );
 
-  status = rtems_task_start( Task_id[ 2 ], Test_task, 2 );
-  directive_failed( status, "start 2" ); 
-
-  status = rtems_task_start( Task_id[ 3 ], Test_task, 3 );
-  directive_failed( status, "start 3" ); 
-
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
 }
